Results 1 to 19 of 19
  1.    #1  
    I have installed 1.3.1 and added preware.
    Both patches and themes have been installed without problem however I am not having the same luck with homebrew applications.

    Is anyone else having the same issue?

    Any ideas what might be causing it or any solutions?

    Thanks in advance
  2. #2  
    Please be more specific, what sort of errors are you experiencing?
  3.    #3  
    When I click install I get:

    Error Installing: See IPKG log

    When i read the log it says "Perhaps you need to run 'IPKG update'?"
  4. #4  
    Hmmm thats odd, can you try using wifi if using 3G and vice versa if using wifi?

    Also what version of preware are you running? it will show on top when you open preware, and are there any updates? Package manager service may need updating but cant say.
  5.    #5  
    I'm running v0.9.10 is this the latest?

    I managed to get the apps downloaded via filecoaster.

    Thanks
  6. #6  
    Yeah that's the latest.

    If youre using a 3G connection, it wont work, use wi-fi and your error should be resolved
  7.    #7  
    Thank you so much for your help...
  8. #8  
    How come it doesn't work over 3G? It has worked before for me I am sure on 3G but I may be mistaken, it's only recently that I have had this error also.
  9. #9  
    I've installed a couple of apps over 3G this morning when using 1.3.1
  10. #10  
    Not sure, it stopped working via 3G when i updated to 1.3.1, its hit and miss with people so i might bring this issue up with rod later on.

    Patches & themes work fine via 3G however, however always getting ipkg wget garbage errors which leads me to believe its something to do with O2's DNS and ip servers which are conflicting with the feeds. However its not really my area so cant comment.

    Glad it worked for you trice .
  11. #11  
    Installing over 3G seems to work for some people, but not for others. The Preware developers haven't been able to reproduce it.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  12. #12  
    Quote Originally Posted by leowyatt View Post
    I've installed a couple of apps over 3G this morning when using 1.3.1
    Could you confirm which apps you downloaded?, might try this myself.
  13. #13  
    A friend of mine and myself are having the same problem. I would be more than willing to act as a guinee pig to deduce this problem. It is very hit and miss. Sometimes it works, more often than not it does not work. I have not been able to find the problem. I can say that software that requires the scripting dialog warning seem to always work. This includes themes. The app catalog always works. Filecoaster works. Lucky for me I have access to WLAN, my friend does not . He only has unlimited 3G.

    Edit: Just to add, I am using T-mobile's 3G, my friend is using Vodafon's 3G network.
  14. #14  
    I will happily test it out too if anybody needs it.

    My GSM UK release day pre worked with Preware downloaded applications fine over 3G.

    It broke a few weeks later and I got a replacement Pre and installed Preware but this hasn't worked since to download applications.

    The only thing it downloads fine is patches. I'm on UK O2.
  15. #15  
    From what we know so far, it seems to affect wget downloads over a certain size.

    So please try downloading various size files using wget and make sure that the md5sum matches the same file downloaded on your desktop.

    Let us know if you see any patterns.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  16. #16  
    Quote Originally Posted by rwhitby View Post
    Installing over 3G seems to work for some people, but not for others. The Preware developers haven't been able to reproduce it.

    -- Rod
    If there is a preware log on the device i will be more than happy to send to the appropriate personell.

    Here is an example log of an error i just received now whilst trying to download the stopwatch app (first app)

    Install
    Begin installation of com.palmgermany.stopwatch
    installing com.palmgermany.stopwatch (1.1.0) to root...
    Downloading http://ipkg.preware.org/feeds/precen....1.0_all_0.ipk
    An error occured, return value: 22
    Collected errors:
    ipkg_downloads: ERROR: Command failed with return value 1: 'wget --passive-ftp -q -P /tmp/ipkg-ejLNMc http://ipkg.preware.org/feeds/precen....1.0_all_0.ipk'
    Failed to downl
    oad com.palmgermany.stopwatch. Perhaps you need to run 'ipkg update' ?
    wget: content-length 388 is garbage

    N.B. Always get wget content length garbage errors, its usually between 365-390.
  17. #17  
    Quote Originally Posted by rwhitby View Post
    From what we know so far, it seems to affect wget downloads over a certain size.

    So please try downloading various size files using wget and make sure that the md5sum matches the same file downloaded on your desktop.

    Let us know if you see any patterns.

    -- Rod
    I had a feeling the precentral feed was borked somewhere.

    I disabled the precentral feed, and what applications were left (from other feeds) to install, seems to have worked.

    Successfully installed tip-calculator over 3G whereas all other apps ranking from 9kb - 1.5mb size failed on the precentral feed.
  18. #18  
    Just updated package manager service and preware to 0.9.12, issue not resolved though there was no changelog indicating to it anyhow.

    Both of these are through WebOS internals feed, and worked flawlessly over 3G so im pretty sure the precentral feed is playing up somewhere?
  19. #19  
    I had the exact same error when trying to install a patch. I switched to a wifi connection and it installed instantly.

    Jay

Posting Permissions